List Articles

List the articles (chapters) from the Penguin Classics collection

To browse for articles (chapters) in the Penguin Classics database, you can request the articles collection. By default it will return the first 25 entries in the collection. You can use additional parameters offset and limit to determine which articles to show in the list, as described below:

Parameter Description
offset A zero based index of where to look in the collection
limit The maximum number of results to return. Defaults to 25, maximum is 100

Additionally, you can limit the articles being returned by supplying a search parameter. In the case of articles, the title parameter (see below) allows a search to be conducted and will return only those articles with the specified text in the article’s title, or the content parameter can be used to search the complete content of the article(s).

Parameter Description
title Limit articles to those with the given text in the article title (ie ?title=city)
content Limit articles to those with the given text in the article content (ie ?content=london)

Note that the search terms are automatically wild carded.

Example of listing articles

curl https://api.pearson.com/penguin/classics/v1/articles?apikey=my_api_key&limit=2

{
    "status": 200,
    "offset": 0,
    "limit": 2,
    "count": 2,
    "total": 198,
    "dataset": "black_classics_sb",
    "url": "https://api.pearson.com/penguin/classics/v1/articles?apikey=my_api_key&limit=2",
    "articles": [
        {
            "title": "VOLUME ONE: TO ——",
            "id": "bNASkhAkx2T42Z",
            "url": "https://api.pearson.com/penguin/classics/v1/articles/bNASkhAkx2T42Z?apikey=my_api_key",
            "sections": [],
            "book": {
                "title": "Evelina",
                "id": "bNAS1K50wzzAqX",
                "url": "https://api.pearson.com/penguin/classics/v1/books/bNAS1K50wzzAqX?apikey=my_api_key"
            }
        },
        {
            "title": "VOLUME ONE",
            "id": "cfhB9SHbB1Kze7",
            "url": "https://api.pearson.com/penguin/classics/v1/articles/cfhB9SHbB1Kze7?apikey=my_api_key",
            "sections": [],
            "book": {
                "title": "Frankenstein",
                "id": "cfhAKcK46JgcpB",
                "url": "https://api.pearson.com/penguin/classics/v1/books/cfhAKcK46JgcpB?apikey=my_api_key"
            }
        }
    ]
}